
package de.ivu.elect.presentation.gebietsbaum.menu;

import java.util.List;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.jee.presentation.menu.MenuEntry;

@Specializes
public class NlWasGebietMainMenuEntry extends WasGebietMainMenuEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient WasStimmbezirkCreateMenuItemEntry stimmbezirkCreateMenuItemEntry;

  @Inject
  private transient NlWasBriefwahlbezirkGemeindeCreateMenuItemEntry nlWasBriefwahlbezirkGemeindeCreateMenuItemEntry; // ELECT-11569

  @Inject
  private transient NlWasBriefwahlbezirkAuslandCreateMenuItemEntry nlWasBriefwahlbezirkAuslandCreateMenuItemEntry;

  public NlWasGebietMainMenuEntry() {
    super();
  }

  @Override
  protected void addDefaultGebietSubMenuEntriesSorted(List<MenuEntry> result) {
    super.addDefaultGebietSubMenuEntriesSorted(result);

    result.add(stimmbezirkCreateMenuItemEntry);

    result.add(nlWasBriefwahlbezirkGemeindeCreateMenuItemEntry);
    result.add(nlWasBriefwahlbezirkAuslandCreateMenuItemEntry);
  }
}
